Skip to main content
PUT
/
prompts
/
partials
/
{promptPartialId}
Update a prompt partial
curl --request PUT \
  --url https://api.portkey.ai/v1/prompts/partials/{promptPartialId} \
  --header 'Content-Type: application/json' \
  --header 'x-portkey-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "string": "<string>",
  "description": "<string>",
  "status": "<string>"
}
'
import requests

url = "https://api.portkey.ai/v1/prompts/partials/{promptPartialId}"

payload = {
"name": "<string>",
"string": "<string>",
"description": "<string>",
"status": "<string>"
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
string: '<string>',
description: '<string>',
status: '<string>'
})
};

fetch('https://api.portkey.ai/v1/prompts/partials/{promptPartialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "prompt_partial_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

promptPartialId
string
required

Body

application/json
name
string
string
string
description
string
status
string

Response

Prompt partial updated successfully

prompt_partial_version_id
string<uuid>
Last modified on March 25, 2026